#include "kadai1.h"

typedef struct ulist {
  URIAGE uriage;
  struct ulist *next;
} ULIST;
double printuriagelist(ULIST* p);
SHOHIN* getshohin(int no);
double printuriagelistbyshubetsu(ULIST *p,int shubetsu);  
ULIST* add(ULIST* p, URIAGE u);
